org.apache.tomcat.util.bcel.classfile

## Class RuntimeInvisibleAnnotations

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.Attribute
  - - org.apache.tomcat.util.bcel.classfile.Annotations
    - - org.apache.tomcat.util.bcel.classfile.RuntimeInvisibleAnnotations

All Implemented Interfaces:
  Serializable, Cloneable

    public class RuntimeInvisibleAnnotations
    extends Annotations

represents an annotation that is represented in the class file but is not provided to the JVM.

Since:
  6.0
Author:
  D. Brosius
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.tomcat.util.bcel.classfile.Attribute

`constant_pool, length, name_index, tag`

### Method Summary

Methods
`Attribute` `copy(ConstantPool constant_pool)`

### Methods inherited from class org.apache.tomcat.util.bcel.classfile.Annotations

`getAnnotationEntries, setAnnotationTable, writeAnnotations`

### Methods inherited from class org.apache.tomcat.util.bcel.classfile.Attribute

`clone, getName, getTag, readAttribute, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### copy

    public Attribute copy(ConstantPool constant_pool)

Specified by:
  `copy` in class `Attribute`
Returns:
  deep copy of this attribute